Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets
Class Tool

    java.lang.Object
      com.gwtext.client.widgets.Tool

    public class Tool

extends java.lang.Object

These are the tool buttons that can be added to a Panel by calling `Panel.addTool(Tool)`

Nested Class Summary
`static class` | `Tool.ToolType`

Field Summary
`static Tool.ToolType` | `CLOSE`
`static Tool.ToolType` | `DOWN`
`static Tool.ToolType` | `GEAR`
`static Tool.ToolType` | `HELP`
`static Tool.ToolType` | `LEFT`
`static Tool.ToolType` | `MAXIMIZE`
`static Tool.ToolType` | `MINIMIZE`
`static Tool.ToolType` | `MINUS`
`static Tool.ToolType` | `PIN`
`static Tool.ToolType` | `PLUS`
`static Tool.ToolType` | `PRINT`
`static Tool.ToolType` | `REFRESH`
`static Tool.ToolType` | `RESTORE`
`static Tool.ToolType` | `RIGHT`
`static Tool.ToolType` | `SAVE`
`static Tool.ToolType` | `SEARCH`
`static Tool.ToolType` | `TOGGLE` Created by default when collapsible property of Panel is is true
`static Tool.ToolType` | `UNPIN`
`static Tool.ToolType` | `UP`

Constructor Summary
`Tool(Tool.ToolType type, Function handler)` Create a new Tool.
`Tool(Tool.ToolType type, Function handler, java.lang.String qtip)` Create a new Tool.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOGGLE

    public static Tool.ToolType TOGGLE

  Created by default when collapsible property of Panel is is true

### CLOSE

    public static Tool.ToolType CLOSE

### MINIMIZE

    public static Tool.ToolType MINIMIZE

### MAXIMIZE

    public static Tool.ToolType MAXIMIZE

### RESTORE

    public static Tool.ToolType RESTORE

### GEAR

    public static Tool.ToolType GEAR

### PIN

    public static Tool.ToolType PIN

### UNPIN

    public static Tool.ToolType UNPIN

### RIGHT

    public static Tool.ToolType RIGHT

### LEFT

    public static Tool.ToolType LEFT

### UP

    public static Tool.ToolType UP

### DOWN

    public static Tool.ToolType DOWN

### REFRESH

    public static Tool.ToolType REFRESH

### MINUS

    public static Tool.ToolType MINUS

### PLUS

    public static Tool.ToolType PLUS

### HELP

    public static Tool.ToolType HELP

### SEARCH

    public static Tool.ToolType SEARCH

### SAVE

    public static Tool.ToolType SAVE

### PRINT

    public static Tool.ToolType PRINT

Constructor Detail

### Tool

    public Tool(Tool.ToolType type,
                Function handler)

  Create a new Tool.

  Parameters:
    `type` - the tool type
    `handler` - the handler

### Tool

    public Tool(Tool.ToolType type,
                Function handler,
                java.lang.String qtip)

  Create a new Tool.

  Parameters:
    `type` - the tool type
    `handler` - the tool handler
    `qtip` - the quick tip

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD